Bug 804903 - [abrt] kernel: [149246.862130] WARNING: at kernel/workqueue.c:995 __queue_work+0x3c6/0x3e0()
[abrt] kernel: [149246.862130] WARNING: at kernel/workqueue.c:995 __queue_wor...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
Reported: 2012-03-20 02:03 EDT by igor.redhat@gmail.com
Modified: 2012-05-14 14:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-05-14 14:04:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
attaching my smolt profile (3.00 KB, text/plain)
2012-03-20 14:54 EDT, igor.redhat@gmail.com
no flags Details

  None (edit)
Description igor.redhat@gmail.com 2012-03-20 02:03:18 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.9-2.fc16.x86_64 root=UUID=c07db0f8-16c8-4d06-9f59-5a04a34fb2b1 ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8
comment:        no clue, really. This seems to have happened when coming out of suspend...
kernel:         3.2.9-2.fc16.x86_64
reason:         [149246.862130] WARNING: at kernel/workqueue.c:995 __queue_work+0x3c6/0x3e0()
time:           Tue 20 Mar 2012 01:46:56 AM EDT

:[149246.862130] WARNING: at kernel/workqueue.c:995 __queue_work+0x3c6/0x3e0()
:[149246.862133] Hardware name: HP Compaq 6715b (RK156AV)
:[149246.862135] Modules linked in: vfat fat xfs btrfs zlib_deflate libcrc32c usb_storage pl2303 fuse lockd rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 lm90 xt_state nf_conntrack ip6table_filter ip6_tables tpm_infineon btusb bluetooth uinput binfmt_misc sunrpc snd_hda_codec_analog snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm joydev tg3 sp5100_tco i2c_piix4 arc4 snd_timer snd soundcore snd_page_alloc b43 mac80211 cfg80211 bcma hp_wmi sparse_keymap ppdev rfkill parport_pc parport tpm_tis tpm hp_accel lis3lv02d input_polldev tpm_bios edac_core ssb edac_mce_amd k8temp mmc_core serio_raw shpchp firewire_ohci firewire_core pata_acpi ata_generic yenta_socket crc_itu_t pata_atiixp video wmi radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: nf_defrag_ipv4]
:[149246.862197] Pid: 30786, comm: kworker/0:1 Not tainted 3.2.9-2.fc16.x86_64 #1
:[149246.862200] Call Trace:
:[149246.862208]  [<ffffffff8106e72f>] warn_slowpath_common+0x7f/0xc0
:[149246.862212]  [<ffffffff8106e78a>] warn_slowpath_null+0x1a/0x20
:[149246.862215]  [<ffffffff810893e6>] __queue_work+0x3c6/0x3e0
:[149246.862219]  [<ffffffff8107ceb9>] ? lock_timer_base+0x39/0x70
:[149246.862222]  [<ffffffff81089465>] queue_work_on+0x25/0x30
:[149246.862225]  [<ffffffff810894af>] queue_work+0x1f/0x30
:[149246.862256]  [<ffffffffa02b00c3>] ieee80211_queue_work+0x33/0x40 [mac80211]
:[149246.862272]  [<ffffffffa03205ac>] b43_led_brightness_set+0x2c/0x30 [b43]
:[149246.862278]  [<ffffffff814967ed>] led_brightness_set+0x3d/0x50
:[149246.862281]  [<ffffffff81496d14>] led_trigger_set+0x84/0xf0
:[149246.862285]  [<ffffffff81496e2a>] led_trigger_unregister+0xaa/0xb0
:[149246.862299]  [<ffffffffa02b35f2>] ieee80211_led_exit+0x22/0xb0 [mac80211]
:[149246.862310]  [<ffffffffa02891ea>] ieee80211_unregister_hw+0x10a/0x120 [mac80211]
:[149246.862319]  [<ffffffffa02f9cea>] b43_ssb_remove+0xaa/0xb0 [b43]
:[149246.862328]  [<ffffffffa01cd5d0>] ssb_device_remove+0x30/0x50 [ssb]
:[149246.862331]  [<ffffffff813954cc>] __device_release_driver+0x7c/0xe0
:[149246.862335]  [<ffffffff8139555c>] device_release_driver+0x2c/0x40
:[149246.862338]  [<ffffffff81394f7d>] bus_remove_device+0x7d/0xe0
:[149246.862342]  [<ffffffff81391afd>] device_del+0x12d/0x1b0
:[149246.862346]  [<ffffffff81391ba2>] device_unregister+0x22/0x60
:[149246.862351]  [<ffffffffa01cd737>] ssb_devices_unregister+0x37/0x50 [ssb]
:[149246.862358]  [<ffffffffa01cd9de>] ssb_bus_unregister+0x1e/0x50 [ssb]
:[149246.862364]  [<ffffffffa01d08f6>] ssb_pcihost_remove+0x36/0x70 [ssb]
:[149246.862370]  [<ffffffff812df2b6>] pci_device_remove+0x46/0x110
:[149246.862374]  [<ffffffff813954cc>] __device_release_driver+0x7c/0xe0
:[149246.862377]  [<ffffffff8139555c>] device_release_driver+0x2c/0x40
:[149246.862380]  [<ffffffff81394f7d>] bus_remove_device+0x7d/0xe0
:[149246.862384]  [<ffffffff81391afd>] device_del+0x12d/0x1b0
:[149246.862387]  [<ffffffff81391ba2>] device_unregister+0x22/0x60
:[149246.862392]  [<ffffffff812d938c>] pci_stop_bus_device+0x8c/0xa0
:[149246.862397]  [<ffffffff812f08f1>] acpiphp_disable_slot+0xa1/0x190
:[149246.862402]  [<ffffffff8132da0b>] ? acpi_get_name+0x45/0xba
:[149246.862406]  [<ffffffff812f0c83>] _handle_hotplug_event_func+0xf3/0x1d0
:[149246.862411]  [<ffffffff81312724>] ? acpi_os_wait_events_complete+0x23/0x23
:[149246.862414]  [<ffffffff812f0b90>] ? check_sub_bridges+0xc0/0xc0
:[149246.862418]  [<ffffffff8108a7ad>] process_one_work+0x11d/0x470
:[149246.862421]  [<ffffffff8108bbaf>] worker_thread+0x15f/0x350
:[149246.862424]  [<ffffffff8108ba50>] ? manage_workers+0x230/0x230
:[149246.862428]  [<ffffffff8109056c>] kthread+0x8c/0xa0
:[149246.862433]  [<ffffffff815ee7f4>] kernel_thread_helper+0x4/0x10
:[149246.862436]  [<ffffffff810904e0>] ? kthread_worker_fn+0x190/0x190
:[149246.862439]  [<ffffffff815ee7f0>] ? gs_change+0x13/0x13
Comment 1 Dave Jones 2012-03-20 11:12:22 EDT
probably the same i915 memory corruption/hibernate bug that's been reported many times already.
Comment 2 igor.redhat@gmail.com 2012-03-20 14:54:19 EDT
Created attachment 571502 [details]
attaching my smolt profile
Comment 3 Dave Jones 2012-03-22 12:39:48 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Dave Jones 2012-03-22 12:44:57 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 Dave Jones 2012-03-22 12:53:34 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 6 igor.redhat@gmail.com 2012-03-25 00:44:18 EDT
I have no good way to reproduce this so I can't retest properly. See my comment #2 on bug 797559 though - I've no idea if it's the same crash but it also happened upon resume.
Comment 7 Josh Boyer 2012-03-28 14:02:31 EDT
[Mass hibernate bug update]

Dave Airlied has found an issue causing some corruption in the i915 fbdev after a resume from hibernate.  I have included his patch in this scratch build:


This will probably not solve all of the issues being tracked at the moment, but it is worth testing when the build completes.  If this seems to clear up the issues you see with hibernate, please report your results in the bug.

Note You need to log in before you can comment on or make changes to this bug.